/* This file is generated by javascript */
#ifndef PARAM_OFFSETS_H_
#define PARAM_OFFSETS_H_
namespace ParamOffset
{
    enum ParamOffset
    {
        Date            = 0u,
        Version         = 32u,
        Name            = 36u,
        EventsScene     = 80u,
        SznGroup       = 208u,
        SznSteps     = 224u,
        SznT            = 240u,
        SznAnimation    = 752u,
        AniTargetT        = 1264u,
        AniTargetColor    = 1328u,
        AniType          = 1360u,
        AniT            = 1392u,
        AniPosStart     = 1456u,
        AniPosEnd      = 1488u,
        AniRotDir       = 1520u,
        LightPos        = 1552u,
        LightOffType     = 1584u,
        LightDriver    = 1616u,
        LightDelay       = 1648u,
        LightAddress    = 1680u,
        LightMax        = 1712u,
        LightColorType    = 1968u,
        PosAngle       = 2000u,
        PosRadius       = 2064u,
        ColorHue        = 2128u,
        ColorSat        = 2160u,
        ColorVal        = 2176u,
        DelayMax        = 2192u,
        NumScenes       = 2193u,
        NumAnimations  = 2194u,
        NumLuminaries     = 2195u,
        NumColors       = 2196u,
        NumPositions   = 2197u,
        Dimm2Bin        = 2198u
    };
};
#endif //PARAM_OFFSETS_H_
